import { EnumeratorWrapper } from "igniteui-react-core/ES2015/type";
/**
 * Represents a column that is calculated based on the values of other columns.
*/
export class CalculatedColumn {
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    [Symbol.iterator]() {
        return new EnumeratorWrapper(this.i.getEnumerator());
    }
}
